microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Delete a session file
DELETE
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files
Deletes the specified file or directory from the session sandbox.
When recursive is false, deleting a non-empty directory returns 409 Conflict.
Parameter jalur
agent_name
string
diperlukan
The name of the agent.
agent_session_id
string
diperlukan
The session ID.
Parameter kueri
path
string
diperlukan
The file or directory path to delete, relative to the session home directory.
recursive
boolean
Whether to recursively delete directory contents. The service defaults to false if a value is not specified by the caller.
api-version
string
diperlukan
The API version to use for this operation.
Respons
There is no content to send for this request, but the headers may be useful.
Minta
DELETE /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files HTTP/1.1
Tanggapan
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json